# DoString()
该函数可直接调用指定的 C# 脚本中的指定字符串 lua 代码。
## 注意事项
Lua 中调用C#函数用“：”，字段用“.”  
: —— map:GetEnumerator() / iter:MoveNext()  
. —— iter.Current.name / map.Keys
## 代码示例
```Csharp
using UnityEngine;
using LuaInterface;
/// <summary>
/// Chinar解释-tolua官方测试案例1
/// </summary>
public class HelloWorld : MonoBehaviour
{
    void Awake()
    {
        LuaState lua = new LuaState();
        lua.Start();
        string hello = //字符串书写 lua 代码
            @"                
                print('hello tolua#')                                  
            ";
        lua.DoString(hello, "HelloWorld.cs"); //执行C#脚本： HelloWorld 中的 hello字符串
        lua.DoString(hello);                  //效果等同于上面的
        lua.CheckTop();                       //检验
        lua.Dispose();                        //释放
        lua = null;                           //质空
    }
}
```
